##### posix::stream_descriptor::stream_descriptor (2 of 3 overloads)

Construct a `posix::stream_descriptor` on an existing native descriptor.

    stream_descriptor(
        asio::io_context & io_context,
        const native_handle_type & native_descriptor);

This constructor creates a stream descriptor object to hold an existing native descriptor.

###### Parameters

io_context

  The `io_context` object that the stream descriptor will use to dispatch handlers for any asynchronous operations performed on the descriptor.

native_descriptor

  The new underlying descriptor implementation.

###### Exceptions

asio::system_error

  Thrown on failure.